Index: /code/trunk/data/levels/tutorial.oxw
===================================================================
--- /code/trunk/data/levels/tutorial.oxw	(revision 7402)
+++ /code/trunk/data/levels/tutorial.oxw	(revision 7403)
@@ -14,13 +14,4 @@
   </templates>
 
-  <NotificationQueue
-   name   = "notification"
-   position = "0.05, 0.05"
-   font   = "VeraMono"
-   textsize = 0.020
-   length   = 3
-   width  = 50
-  />
-
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
@@ -28,50 +19,26 @@
   >
 
-      <CommandNotification preMessage="Press '" postMessage="' to fire your primary weapon." command="fire 0">
+      <CommandNotification preMessage="Move '" postMessage="' to look left." command="scale 1 rotateYaw">
         <events>
             <trigger>
-                <DistanceTrigger name=trigger position="0,0,-100" distance=10 target="Pawn">
-                    <attached>
-                        <Billboard position="0,0,0" colour="1.0,1.0,0" material="Examples/Flare" />
-                    </attached>
-                </DistanceTrigger>
+                <DistanceTrigger name=trigger position="0,0,-100" distance=10 target="Pawn" />
             </trigger>
         </events>
     </CommandNotification>
+    <Billboard position="0,0,-100" colour="1.0,1.0,0" material="Examples/Flare" />
 
     <SimpleNotification message="Awesome!!!">
         <events>
             <trigger>
-                <DistanceTrigger name=trigger position="0,0,100" distance=10 target="Pawn">
-                    <attached>
-                        <Billboard position="0,0,0" colour="1.0,0,1.0" material="Examples/Flare" />
-                    </attached>
-                </DistanceTrigger>
+                <DistanceTrigger name=trigger position="0,0,100" distance=10 target="Pawn" />
             </trigger>
         </events>
     </SimpleNotification>
+    <Billboard position="0,0,100" colour="1.0,0,1.0" material="Examples/Flare" />
   
-<Drone name="meineDrohne" primarythrust="80" auxilarythrust="10" rotationthrust="10" mass= "50" linearDamping = "0.9" angularDamping = "0.7">
-  <attached>
-    <Model scale="1" mesh="drone.mesh"/>
-  </attached>
-  <collisionShapes>
-    <BoxCollisionShape position="0,0,0"      halfExtents="10, 10, 10" />
-  </collisionShapes>
-</Drone>
 
-    <Drone name="meineDrohne" primarythrust="80" auxilarythrust="10" rotationthrust="10" mass= "50" linearDamping = "0.9" angularDamping = "0.7">
-      <attached>
-        <Model scale="1" mesh="rocket.mesh"/>
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0"      halfExtents="10, 10, 10" />
-      </collisionShapes>
-    </Drone>
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
 
-    <Model mesh="hs-w01.mesh" scale=10 position="0,0,-100" />
-    <Model mesh="hs-w01s.mesh" scale=10 position="0,0,-100" />
 
     <?lua
@@ -81,56 +48,4 @@
     <?lua end ?>
 
-    <GlobalShader compositor="Bloom" visible=false>
-      <events>
-        <visibility>
-          <DistanceTrigger position="0,0,0" distance=30 target="Spectator" switch=true />
-        </visibility>
-      </events>
-    </GlobalShader>
-    <Model position="0,0,0" scale=8 mesh="ast1.mesh" />
-    <StaticEntity position="0,0,0" collisionType=static>
-      <collisionShapes>
-        <SphereCollisionShape radius="20" />
-      </collisionShapes>
-    </StaticEntity>
-
-<!--
-    <?lua
-      for i = 1, 70, 1 do
-    ?>
-      <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 1000 + 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-        <attached>
-          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-        </attached>
-      </MovableEntity>
-      <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * -1000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-        <attached>
-          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-        </attached>
-      </MovableEntity>
-
-      <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 1000 + 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-        <attached>
-          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-        </attached>
-      </MovableEntity>
-      <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * -1000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-        <attached>
-          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-        </attached>
-      </MovableEntity>
-
-      <MovableEntity position="<?lua print(math.random() * 1000 + 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-        <attached>
-          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-        </attached>
-      </MovableEntity>
-      <MovableEntity position="<?lua print(math.random() * -1000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-        <attached>
-          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-        </attached>
-      </MovableEntity>
-    <?lua end ?>
--->
 
   </Scene>
Index: /code/trunk/src/libraries/core/GUIManager.cc
===================================================================
--- /code/trunk/src/libraries/core/GUIManager.cc	(revision 7402)
+++ /code/trunk/src/libraries/core/GUIManager.cc	(revision 7403)
@@ -99,5 +99,5 @@
     GUIManager* GUIManager::singletonPtr_s = 0;
 
-    SetConsoleCommand("showGUI", &GUIManager::showGUI).defaultValue(1, false).defaultValue(2, true);
+    SetConsoleCommand("showGUI", &GUIManager::showGUI).defaultValue(1, false).defaultValue(2, false);
     SetConsoleCommand("hideGUI", &GUIManager::hideGUI);
 
@@ -237,10 +237,12 @@
     @param bHidePrevious
         If true all displayed GUIs on the stack, that are below this GUI are hidden.
+    @param bNoInput
+        If true the GUI is transparent to input.
 
         The function executes the Lua function with the same name in case the GUIManager is ready.
     */
-    /*static*/ void GUIManager::showGUI(const std::string& name, bool bHidePrevious)
-    {
-        GUIManager::getInstance().executeCode("showMenuSheet(\"" + name + "\", " + multi_cast<std::string>(bHidePrevious) + ")");
+    /*static*/ void GUIManager::showGUI(const std::string& name, bool bHidePrevious, bool bNoInput)
+    {
+        GUIManager::getInstance().executeCode("showMenuSheet(\"" + name + "\", " + multi_cast<std::string>(bHidePrevious) + ", " + multi_cast<std::string>(bNoInput) + ")");
     }
 
@@ -249,7 +251,7 @@
         Hack-ish. Needed for GUIOverlay.
     */
-    void GUIManager::showGUIExtra(const std::string& name, const std::string& ptr, bool bHidePrevious)
-    {
-        this->executeCode("showMenuSheet(\"" + name + "\", " + multi_cast<std::string>(bHidePrevious) + ", " + ptr + ")");
+    void GUIManager::showGUIExtra(const std::string& name, const std::string& ptr, bool bHidePrevious, bool bNoInput)
+    {
+        this->executeCode("showMenuSheet(\"" + name + "\", " + multi_cast<std::string>(bHidePrevious) + ", " + multi_cast<std::string>(bNoInput) + ", " + ptr + ")");
     }
 
Index: /code/trunk/src/libraries/core/GUIManager.h
===================================================================
--- /code/trunk/src/libraries/core/GUIManager.h	(revision 7402)
+++ /code/trunk/src/libraries/core/GUIManager.h	(revision 7403)
@@ -80,6 +80,6 @@
 
         void loadGUI(const std::string& name);
-        static void showGUI(const std::string& name, bool bHidePrevious = false);
-        void showGUIExtra(const std::string& name, const std::string& ptr, bool bHidePrevious = false);
+        static void showGUI(const std::string& name, bool bHidePrevious = false, bool bNoInput = false);
+        void showGUIExtra(const std::string& name, const std::string& ptr, bool bHidePrevious = false, bool bNoInput = false);
         static void hideGUI(const std::string& name);
         void keyESC();
Index: /code/trunk/src/modules/notifications/CMakeLists.txt
===================================================================
--- /code/trunk/src/modules/notifications/CMakeLists.txt	(revision 7402)
+++ /code/trunk/src/modules/notifications/CMakeLists.txt	(revision 7403)
@@ -3,5 +3,4 @@
   NotificationDispatcher.cc
   NotificationManager.cc
-  NotificationOverlay.cc
   NotificationQueue.cc
 )
@@ -13,9 +12,10 @@
   FIND_HEADER_FILES
   TOLUA_FILES
+    NotificationManager.h
+    NotificationQueue.h
   PCH_FILE
     NotificationsPrecompiledHeaders.h
   LINK_LIBRARIES
     orxonox
-    overlays
   SOURCE_FILES ${NOTIFICATIONS_SRC_FILES}
 )
Index: /code/trunk/src/modules/notifications/Notification.cc
===================================================================
--- /code/trunk/src/modules/notifications/Notification.cc	(revision 7402)
+++ /code/trunk/src/modules/notifications/Notification.cc	(revision 7403)
@@ -35,4 +35,5 @@
 
 #include "core/CoreIncludes.h"
+#include "network/NetworkFunction.h"
 #include "NotificationManager.h"
 
@@ -42,12 +43,17 @@
     CreateUnloadableFactory(Notification);
 
+    registerMemberNetworkFunction(Notification, sendHelper);
+
     /**
     @brief
         Default constructor. Initializes the object.
+    @param creator
+        The object that created this Notification 
     */
-    Notification::Notification(BaseObject* creator) : BaseObject(creator)
+    Notification::Notification(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
     {
         RegisterObject(Notification);
         this->initialize();
+        this->registerVariables();
     }
 
@@ -56,13 +62,14 @@
         Constructor. Creates a Notification with the input message.
     @param creator
-        The object that created this Notification
+        The creator.
     @param message
         The message of the Notification.
     */
-    Notification::Notification(BaseObject* creator, const std::string & message) : BaseObject(creator)
+    Notification::Notification(BaseObject* creator, const std::string & message) : BaseObject(creator), Synchronisable(creator)
     {
         RegisterObject(Notification);
         this->initialize();
         this->message_ = message;
+        this->registerVariables();
     }
 
@@ -87,13 +94,9 @@
     }
 
-    /**
-    @brief
-        Sends the Notification to the Notificationmanager, with sender NetificationManager::NONE.
-    @return
-        Returns true if successful.
-    */
-    bool Notification::send(void)
+    void Notification::registerVariables(void)
     {
-        return this->send(NotificationManager::NONE);
+        registerVariable(this->message_);
+        registerVariable(this->sender_);
+        registerVariable(this->sent_);
     }
 
@@ -106,9 +109,24 @@
         Returns true if successful.
     */
-    bool Notification::send(const std::string & sender)
+    bool Notification::send(unsigned int clientId, const std::string & sender = NotificationManager::NONE)
+    {
+
+        if(GameMode::isStandalone())
+        {
+            this->sendHelper(sender);
+        }
+        else
+        {
+            callMemberNetworkFunction(Notification, sendHelper, this->getObjectID(), clientId, sender);
+        }
+
+        return true;
+    }
+
+    bool Notification::sendHelper(const std::string& sender)
     {
         if(this->isSent()) //TODO: Needed?
             return false;
-        
+
         this->sender_ = sender;
         bool successful = NotificationManager::getInstance().registerNotification(this);
Index: /code/trunk/src/modules/notifications/Notification.h
===================================================================
--- /code/trunk/src/modules/notifications/Notification.h	(revision 7402)
+++ /code/trunk/src/modules/notifications/Notification.h	(revision 7403)
@@ -39,4 +39,5 @@
 #include <string>
 #include "core/BaseObject.h"
+#include "network/synchronisable/Synchronisable.h"
 
 namespace orxonox
@@ -49,5 +50,5 @@
         Damian 'Mozork' Frick
     */
-    class _NotificationsExport Notification : public BaseObject
+    class _NotificationsExport Notification : public BaseObject, public Synchronisable
     {
         public:
@@ -56,6 +57,6 @@
             virtual ~Notification();
 
-            bool send(void); //!< Sends the Notification to the Notificationmanager, with sender NotificationManager::NONE;
-            bool send(const std::string & sender); //!< Sends the Notification to the Notificationmanager.
+            bool send(unsigned int clientId, const std::string & sender); //!< Sends the Notification to the Notificationmanager.
+            bool sendHelper(const std::string& sender);
 
             /**
@@ -83,4 +84,5 @@
 
             void initialize(void);
+            void registerVariables(void);
 
     };
Index: /code/trunk/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- /code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7402)
+++ /code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7403)
@@ -39,4 +39,7 @@
 #include "Notification.h"
 #include "NotificationManager.h"
+#include "interfaces/PlayerTrigger.h"
+#include "infos/PlayerInfo.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
@@ -86,11 +89,13 @@
     @brief
         Dispatches a Notification with a message supplied by the createNotificationMessage() method, which can be overloaded.
+    @param clientId
+        The id of the client the notification should be dispatched to.
     */
-    void NotificationDispatcher::dispatch(void)
+    void NotificationDispatcher::dispatch(unsigned int clientId)
     {
         const std::string message = this->createNotificationMessage();
         Notification* notification = new Notification(this, message);
 
-        notification->send(this->getSender());
+        notification->send(clientId, this->getSender());
     }
 
@@ -103,5 +108,5 @@
         Returns true if the NotificationDispatcher was successfully triggered.
     */
-    bool NotificationDispatcher::trigger(bool triggered)
+    bool NotificationDispatcher::trigger(bool triggered, BaseObject* trigger)
     {
         if(!triggered || !this->isActive()) // If the NotificationDispatcher is inactive it cannot be executed.
@@ -110,5 +115,34 @@
         COUT(4) << "NotificationDispatcher (&" << this << ") triggered." << std::endl;
 
-        this->dispatch();
+        PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
+        Pawn* pawn = NULL;
+
+        // If the trigger is a PlayerTrigger.
+        if(pTrigger != NULL)
+        {
+            if(!pTrigger->isForPlayer())  //!< The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
+                return false;
+            else
+                pawn = pTrigger->getTriggeringPlayer();
+        }
+        else
+            return false;
+
+        if(pawn == NULL)
+        {
+            COUT(4) << "The QuestEffectBeacon was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << std::endl;
+            return false;
+        }
+
+        //! Extract the PlayerInfo from the Pawn.
+        PlayerInfo* player = pawn->getPlayer();
+
+        if(player == NULL)
+        {
+            COUT(3) << "The PlayerInfo* is NULL." << std::endl;
+            return false;
+        }
+
+        this->dispatch(player->getClientID());
 
         return true;
Index: /code/trunk/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- /code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7402)
+++ /code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7403)
@@ -65,6 +65,6 @@
                 { return this->sender_; }
 
-            void dispatch(void); //!< Dispatches a specific Notification.
-            bool trigger(bool triggered); //!< Is called when the NotificationDispatcher is triggered.
+            void dispatch(unsigned int clientId); //!< Dispatches a specific Notification.
+            bool trigger(bool triggered, BaseObject* trigger); //!< Is called when the NotificationDispatcher is triggered.
 
         protected:
